CppCMS

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
cppcms::cppcms_error Class Reference

Exception thrown by CppCMS framework. More...

`#include <cppcms/cppcms_error.h>`

Inheritance diagram for cppcms::cppcms_error:

## Public Member Functions
| cppcms_error (int err, std::string const &error)
| cppcms_error (std::string const &error)
Public Member Functions inherited from booster::runtime_error
| runtime_error (std::string const &s)
Public Member Functions inherited from booster::backtrace
| backtrace (size_t frames_no=default_stack_size)
size_t | stack_size () const
void * | return_address (unsigned frame_no) const
void | trace_line (unsigned frame_no, std::ostream &out) const
std::string | trace_line (unsigned frame_no) const
std::string | trace () const
void | trace (std::ostream &out) const

## Additional Inherited Members
Static Public Attributes inherited from booster::backtrace
static size_t const | default_stack_size = 32

## Detailed Description

Exception thrown by CppCMS framework.

Every exception that is thrown from CppCMS modules derived from this exception.

## Constructor & Destructor Documentation

cppcms::cppcms_error::cppcms_error | ( | int | err,
|  | std::string const & | error
| ) |  |

Create an object with error code err (errno) and a message error

cppcms::cppcms_error::cppcms_error | ( | std::string const & | error | ) |
| inline

Create an object with message error

The documentation for this class was generated from the following file:

- cppcms/cppcms_error.h